%define version 0.51.3.1
%define release 25mdk

Summary:  	A Window Manager for the X Window System
Name:		blackbox
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Graphical desktop/Other
BuildRequires: XFree86-devel
URL:		http://blackbox.alug.org/

Source:		blackbox-0.51.3.1.tar.bz2
Source1:	%{name}.menu-method
Source2:	stylesmenu
Source3:	blackbox.xpm
Source4:	blackbox32.xpm
Patch0:		blackbox-0.51.3.1-debian-i18n.patch.bz2
Patch1:		blackbox-0.51.3.1-manpages.patch.bz2
Patch2:		blackbox-0.51.3.1-exitbutton.patch.bz2

Requires:	mandrake_desk >= 1.0.1-11mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}

%description
Blackbox is yet another addition to the list of window managers for
the Open Group's X Window System, Version 11 Release 6 and
above. Blackbox is built with C++, sharing no common code with any
other window manager (even though the graphics implementation is
similar to that of Window Maker).

%prep

%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure --enable-kde --enable-nls
make DEFAULT_MENU=/etc/X11/blackbox/blackbox-menu

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{prefix}/X11R6/bin
install -m755 $RPM_BUILD_ROOT%{_bindir}/* $RPM_BUILD_ROOT%{prefix}/X11R6/bin/

mkdir -p $RPM_BUILD_ROOT%{prefix}/X11R6/man/man1/
install -m644 *.1 $RPM_BUILD_ROOT%{prefix}/X11R6/man/man1/

# Chage default theme
pushd $RPM_BUILD_ROOT%{_datadir}/blackbox/styles && {
mv default sleet
cp results default
rm -f stylesmenu
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/blackbox/styles
} && popd

install -d $RPM_BUILD_ROOT/etc/menu-methods
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/menu-methods/%{name}

mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu/
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/blackbox.xpm
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
install -m644 %{SOURCE4} $RPM_BUILD_ROOT%{_iconsdir}/blackbox.xpm
cat << EOF > $RPM_BUILD_ROOT%{_libdir}/menu/%{name}
?package(%{name}): \
needs=wm \
icon="blackbox.xpm" \
section=Session/Windowmanagers \
longtitle="The BlackBox Window Manager" \
title="BlackBox" \
command=blackbox
EOF

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmsession.d
cat > $RPM_BUILD_ROOT/etc/X11/wmsession.d/05blackbox << EOF
NAME=BlackBox
ICON=BlackBox.xpm
EXEC=/usr/X11R6/bin/blackbox
DESC=A Light but nice looking window manager
SCRIPT:
/usr/X11R6/bin/bsetroot -solid Navy
exec /usr/X11R6/bin/blackbox
EOF

%find_lang %{name}


%post
%{update_menus}
%{make_session}

%postun
%{clean_menus}
%{make_session}

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root) 
%{_libdir}/menu/%{name}
%config(noreplace) /etc/menu-methods/%{name}
%config(noreplace) /etc/X11/wmsession.d/05blackbox
%{prefix}/X11R6/bin/blackbox
%{prefix}/X11R6/bin/bsetroot
%{_datadir}/blackbox
%{prefix}/X11R6/man/man1/*
%{_iconsdir}/blackbox.xpm
%{_miconsdir}/blackbox.xpm

%changelog
* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.51.3.1-25mdk
- entry in /etc/X11/wmsession.d
- noreplace

* Mon Sep 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.51.3.1-24mdk
- add icons for menu system. 

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.51.3.1-23mdk
- automatically added BuildRequires

* Sun Jul 09 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.51.3.1-22mdk
- makeinstall macro
- macroszifications

* Sun May 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.51.3.1-21mdk
- Fix descriptions (RPM & menu)

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 0.51.3.1-20mdk
- Added fndSession call.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51.3.1-19mdk
- Add an exit button just after mandrake menu.

* Tue Apr  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.51.3.1-18mdk
- i18n menu support.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51.3.1-17mdk
- Remove bbdrake stuff (dadou i have pity for you).
- Don't chmod 666 files.
- Add man pages from debian.
- Add i18n patch from debian (hint hint, traductors)
- Adjust groups.

* Mon Jan 03 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-16mdk
- Fix typos

* Sat Jan 01 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-15mdk
- Add kvideogen in BBDrake

* Tue Dec 28 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add kdmconfig and kcontrol in BBDrake (thanks Arnold)

* Mon Dec 27 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-13mdk
- Fix some typos
- Fix display version

* Mon Dec 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix display version 

* Sun Dec 19 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix call at bbdrake_kde
- Add AnotherLevel in BBDrake

* Sat Dec 18 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 0.51.3.1-10mdk
  - Replace "drakXconf" by "DrakConf"
- 0.51.3.1-9mdk
  - Cleanup BBDrake
  - Add a blank before "Exit"
  - Add "BlackBox/KDE" in "Desktop/Window Managers"
- 0.51.3.1-8mdk
  - Remove "Sutdown or restart"
  - Add BBDrake_KDE

* Fri Dec 17 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add DrakXconf in BBDrake, remove XFDrake (call by DrakXcon)
- Change default theme

* Thu Dec 16 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add a lot of apps in BBDrake
- Fix some typos in BBDrake
- Fix some problems when run as user

* Thu Dec 10 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix Group

* Wed Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build release

* Tue Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add some apps in bbdrake

* Fri Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Initial bbdrake

* Fri Nov 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- First spec
